## android-framework-23 6.0.1%2Br72

=== debian/changelog ===
android-framework-23 (6.0.1+r72-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS (Closes: #891548)
  * Add Apache NOTICE file
  * Use debhelper 11
  * Bump Standards-Version to 4.1.3

 -- tony mancill <tmancill@debian.org>  Sat, 10 Mar 2018 12:32:30 -0800

android-framework-23 (6.0.1+r72-3) unstable; urgency=medium

  * Build-Depends on gradle-debian-helper (>= 1.4~) for backport friendly
  * Build shrinkedAndroid.jar
    * Build-Depends on proguard

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 09 Dec 2016 21:14:29 +0800

android-framework-23 (6.0.1+r72-2) unstable; urgency=medium

  * d/build.gradle:
    * Declare :uiautomator:stubs dependsOn :android:jar, fixing FTBFS
    * Add -api & -removedApi options to Doclava
  * Update the usage of gradle-debian-helper
  * d/rules: Update the usage of maven-debian-helper

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 25 Nov 2016 13:55:33 +0800

android-framework-23 (6.0.1+r72-1) unstable; urgency=medium

  * Initial release. (Closes: #833458)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 07 Oct 2016 19:11:58 +0800
