=== debian/control ===
Source: android-framework-23
Section: java
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends: aapt,
               aidl,
               android-logtags-tools,
               debhelper (>= 11),
               default-jdk-headless | default-jdk (>= 2:1.7),
               dh-exec,
               doclava-aosp,
               gradle-debian-helper (>= 1.4~),
               maven-repo-helper,
               p7zip-full,
               proguard
Standards-Version: 4.1.3
Homepage: https://android.googlesource.com
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-framework-23.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-framework-23.git

Package: libandroid-23-java
Architecture: all
Depends: ${misc:Depends}
Description: Android framework for API Level 23 (6.0 Marshmallow)
 This package provides "android.jar" in an Android SDK Platform that is used to
 build an Android application.
 .
 The source code of this library is generated by Doclava.

Package: libandroid-uiautomator-23-java
Architecture: all
Depends: libandroid-23-java, ${misc:Depends}
Description: UI Automator framework for API Level 23 (6.0 Marshmallow)
 This package provides "uiautomator.jar" in an "Android platforms" that is used
 to build an Android application.
 .
 The source code of this library is generated by Doclava.

Package: android-sdk-platform-23
Section: devel
Architecture: all
Depends: libandroid-23-java (>= ${source:Version}),
         libandroid-uiautomator-23-java (>= ${source:Version}),
         ${misc:Depends}
Description: Android SDK Platform for API Level 23 (6.0 Marshmallow)
 This package provides the Android SDK Platform for API Level 23
 (6.0 Marshmallow).
 .
 An Android SDK Platform of a specific API Level is required to build any
 Android applications that target this API Level.
