## android-framework-23 6.0.1+r72

=== debian/changelog ===
android-framework-23 (6.0.1+r72-5) unstable; urgency=medium

  * Fix FTBFS with Java 9+ (Closes: #894285)
  * add basic autopkgtest to check that class files are in the JAR

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 06 Mar 2019 12:10:58 +0000
