=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                gradle-debian-helper (>= 1.4~),
                maven-repo-helper,
                p7zip-full,
-               proguard
+               proguard-cli,
 Standards-Version: 4.1.3
 Homepage: https://android.googlesource.com
-Vcs-Git: https://anonscm.debian.org/git/android-tools/android-framework-23.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-framework-23.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/android-framework-23.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/android-framework-23
 
 Package: libandroid-23-java
 Architecture: all
