=== debian/tests/control ===
Tests: build-against-android-jar.sh
Depends: @, default-jdk-headless
